Bug 829394

Summary: war deployment via CLI throws NullPointerException in AS7-plugin
Product: [Other] RHQ Project Reporter: Armine Hovsepyan <ahovsepy>
Component: PluginsAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: hrupp, lzoubek, mfoley
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 830809 (view as bug list) Environment:
Last Closed: 2013-08-31 06:13:39 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 707223, 830809    
Attachments:
Description Flags
testDeployWar_2.js
none
iBook.war for deployment
none
GUI exception none

Description Armine Hovsepyan 2012-06-06 11:16:08 EDT
Created attachment 589935 [details]
testDeployWar_2.js

Description of problem:
While trying to create a PackageBackedResource with a war for  deploying it via CLI, it throws NullPointerException in GUI.

Version-Release number of selected component (if applicable):

JON - Version: 3.1.0.ER6

How reproducible:
always

Steps to Reproduce:
1. Run the testDeployWar_2 under CLI Remote Client (which creates createPackageBackedResource to deploy a war).
2.
3.
  
Actual results:
Null pointer exception is being thrown on UI

Expected results:

Child resource under EAP with deployed war should have been created.

Additional info:

Attached is the js file. Please come back to me concerning the war file.
Comment 1 Armine Hovsepyan 2012-06-06 11:18:01 EDT
Created attachment 589942 [details]
iBook.war for deployment
Comment 2 Armine Hovsepyan 2012-06-06 11:18:55 EDT
Hi all,

It was posible to attache the war file to this bug. Please get it from attachment.

Regards,
Armine H
Comment 3 Armine Hovsepyan 2012-06-06 11:37:33 EDT
Created attachment 589944 [details]
GUI exception
Comment 6 Heiko W. Rupp 2012-06-08 08:23:39 EDT
What version of the plugin are you using here?
Comment 8 Heiko W. Rupp 2012-06-11 07:24:34 EDT
The call in the script

ResourceFactoryManager.createResource(jBossId, appType.id, fileName, null,deployConfig, null);

Does not work for package based resources (i.e. deployments)
Comment 9 Armine Hovsepyan 2012-06-11 08:04:23 EDT
Just comment that command (createResource) and you'll get the java heap exception for 12MB war file from CLI.
Comment 10 Heiko W. Rupp 2012-06-11 08:59:50 EDT
master e1f5fb046fb
Comment 11 Armine Hovsepyan 2012-06-14 09:29:32 EDT
verified on rhq with small war
Comment 12 Heiko W. Rupp 2013-08-31 06:13:39 EDT
Bulk close of old bugs in VERIFIED state.